Imports EgtBEAMWALL.Core
Imports EgtUILib
Imports EgtWPFLib5

Public Class StatisticsTimePanelVM
   Inherits VMBase

#Region "FIELDS & PROPERTIES"

   Private m_ViewPage_Visibility As Visibility = Visibility.Collapsed
   Public ReadOnly Property ViewPage_Visibility As Visibility
      Get
         If Map.refMainMenuVM.SelPage = Pages.VIEW Then
            Return Visibility.Visible
         Else
            Return m_ViewPage_Visibility
         End If
      End Get
   End Property
   Friend Sub SetViewPage_Visibility(value As Visibility)
      m_ViewPage_Visibility = value
      NotifyPropertyChanged(NameOf(ViewPage_Visibility))
   End Sub

   Private m_MachiningPage_Visibility As Visibility = Visibility.Collapsed
   Public ReadOnly Property MachiningPage_Visibility As Visibility
      Get
         If Map.refMainMenuVM.SelPage = Pages.MACHINING Then
            Return Visibility.Visible
         Else
            Return m_MachiningPage_Visibility
         End If
      End Get
   End Property
   Friend Sub SetMachiningPage_Visibility(value As Visibility)
      m_MachiningPage_Visibility = value
      NotifyPropertyChanged(NameOf(MachiningPage_Visibility))
   End Sub

#Region "ToolTip"

   Public ReadOnly Property TotalTime_ToolTip As String
      Get
         Return EgtMsg(61978)
      End Get
   End Property

   Public ReadOnly Property DoneTime_ToolTip As String
      Get
         Return EgtMsg(61979)
      End Get
   End Property

   Public ReadOnly Property RemainingTime_ToolTip As String
      Get
         Return EgtMsg(61980)
      End Get
   End Property

#End Region ' ToolTip

#End Region    ' Fields & Properties

#Region "CONSTRUCTOR"

   Sub New()
      ' Creo riferimento a questa classe in Map
      Map.SetRefStatisticsTimePanelVM(Me)
   End Sub

#End Region    ' CONSTRUCTOR

#Region "METHODS"

   Friend Sub SetStatisticsTimePanel_Visibility()
      NotifyPropertyChanged(NameOf(ViewPage_Visibility))
      NotifyPropertyChanged(NameOf(MachiningPage_Visibility))
   End Sub

#End Region    ' METHODS

End Class
